<div align="center">

[![Authgear banner](./.github/assets/banner.png)](https://www.authgear.com/)

</div>

# Authgear SDK for Flutter

With Authgear SDK for Flutter, you can easily integrate authentication features into your Flutter apps.
In most cases, it involves just **a few lines of code** to enable **multiple authentication methods**, such as [social logins](https://www.authgear.com/features/social-login), [passwordless](https://www.authgear.com/features/passwordless-authentication), [biometrics logins](https://www.authgear.com/features/biometric-authentication), [one-time-password (OTP)](https://www.authgear.com/features/whatsapp-otp) with SMS/WhatsApp, and multi-factor authentication (MFA).

**Quick links** - 📚 [Documentation](#documentation) 🏁 [Getting Started](#getting-started) 🛠️ [Troubleshooting](#troubleshooting)
👥 [Contributing](#troubleshooting)

## What is Authgear?

[Authgear](https://www.authgear.com/) is a highly adaptable identity-as-a-service (IDaaS) platform for web and mobile applications.
Authgear makes user authentication easier and faster to implement by integrating it into various types of applications - from single-page web apps to mobile applications to API services.

### Key Features

- Zero trust authentication architecture with [OpenID Connect](https://openid.net/developers/how-connect-works/) (OIDC) standard.
- Easy-to-use interfaces for user registration and login, including email, phone, username as login ID, and password, OTP, magic links, etc for authentication.
- Support a wide range of identity providers, such as [Google](https://developers.google.com/identity), [Apple](https://support.apple.com/en-gb/guide/deployment/depa64848f3a/web), and [Azure Active Directory](https://azure.microsoft.com/en-gb/products/active-directory/) (AD).
- Support biometric login on mobile, Passkeys, and Multi-Factor Authentication (MFA) such as SMS/email-based verification and authenticator apps with TOTP.

## Documentation

- View the SDK API Reference at [https://authgear.github.io/authgear-sdk-flutter/](https://authgear.github.io/authgear-sdk-flutter/).
- Learn how to manage your users through [Admin Portal](https://portal.authgear.com/) or [Admin API](https://docs.authgear.com/reference/apis/admin-api).

View other Authgear Documentation at [https://docs.authgear.com/](https://docs.authgear.com/)

## Getting Started

Follow the easy steps to start using it:

- [Getting started with Authgear Flutter SDK](https://docs.authgear.com/get-started/native-mobile-app/flutter)

## Troubleshooting

Please check out our [Get help](https://github.com/orgs/authgear/discussions/categories/get-help) to get solutions for common installation problems and other issues.

### Raise an issue

To provide feedback or report a bug, please [raise an issue on our issue tracker](https://github.com/authgear/authgear-sdk-flutter/issues).

## Contributing

Anyone who wishes to contribute to this project, whether documentation, features, bug fixes, code cleanup, testing, or code reviews, is very much encouraged to do so.

To join, just raise your hand on the [Authgear Discord server](https://discord.gg/Kdn5vcYwAS) (#trouble) or the GitHub Authgear's [discussion](https://github.com/orgs/authgear/discussions) board.

If you are unfamiliar with how to contribute to GitHub projects, here is a [Getting Started Guide](https://docs.github.com/en/get-started/quickstart/contributing-to-projects). A full set of contribution guidelines, along with templates, are in progress.

## Supported and maintained by

<div align="center">
  <a href="https://github.com/authgear"><img src="https://uploads-ssl.webflow.com/60658b46b03f0cf83ac1485d/619e6607eb647619cecee2cf_authgear-logo.svg" /></a>
</div>

<p align="center">
  Auhgear is a highly adaptable identity-as-a-service (IDaaS) platform for web and mobile applications. To learn more checkout <a href="https://www.authgear.com/">website</a>
</p>
